# Read Generation Result

![](/files/IJAfTzMRjv6PuNcjWUyH)

![](/files/WNUokvb1PJvME9hdmj2u) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Read%20Generation%20Result.py)

Parse electricity generation results from an energy simulation SQL result file.

### Inputs

* **sql \[Required]**

The file path of the SQL result file that has been generated from an energy simulation.

### Outputs

* **site\_totals**

Two numbers indicating the following energy values in kWh.

```
* Total on-site produced electricity (postive number)

* Total on-site electricity consumption (negative number)
```

* **utility\_totals**

Three numbers indicating the following energy values in kWh.

```
* Total on-site produced electricity consumed on-site (positive number)

* Total on-site produced surplus electricity sold to the utility (positive number)

* Total electricity purchased from the utility (negative number)
```

* **production**

A data collection of all on-site produced electricity (kWh). This represents the alternating current (AC) electricity coming out of the inverter that processes all on-site power production.

* **consumption**

A data collection of all on-site consumed electricity (kWh). This represents the electrcicity consumed by all heating, cooling, lighting equipment, fans, pumps, process loads, and water heaters. All of this consumed electricity is assumed to be alternating current (AC).

* **dc\_power**

A list of data collections for the direct current (DC) electricity produced by each on-site electricity generator (kWh). Each photovoltaic object will have a separate data collection.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/6_result/read_generation_result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
